<template>
  <div>
    <el-bus-crud ref="crud" v-bind="tableConfig" />
  </div>
</template>

<script>

export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/v2/wallet-bill-record/list',
        hasNew: false,
        hasEdit: false,
        hasDelete: false,
        hasView: false,
        hasExport: true,
        exportUrl: 'flower/v2/wallet-bill-record/export',
        exportText: '导出',
        hasOperation:false,
        columns: [
          {label: '供应商信息',
            minWidth: 120,
            formatter: (row) => `${row.supplierName || ''}:[ID:${row.supplierId || ''}]`},
          {label: '变动类型', prop: 'typeName', minWidth: 100},
          {label: '原金额', prop: 'originalAmount', minWidth: 100},
          {
            label: '变动金额',
            formatter: (row) => (row.method ==='add' ? '+'+row.changeAmount : '-'+row.changeAmount),
            minWidth: 120
          },
          {label: '现余额', prop: 'balance', minWidth: 120},
          {label: '提交时间', prop: 'createTime', minWidth: 120},
          {label: '审核时间', prop: 'approveTime', minWidth: 80},
          {label: '备注', prop: 'remark', minWidth: 160},
          {label: '操作人', prop: 'approveName', minWidth: 120},
        ],
        searchFormAttrs: {
          labelWidth: 'auto',
        },
        searchForm: [
          {
            type: 'row',
            items: [

              {label: '供应商ID:', id: 'supplierId', type: 'input'},
              {label: '供应商名称:', id: 'supplierName', type: 'input'},
              {
                label: '提交时间',
                id: 'createStartDate',
                component: 'el-bus-date-range',
                commonFormat: true,
                commonFormatProps: ['createStartDate', 'endEndDate'],
                customClass: 'in-bus-form',
              },
              {
                label: '审核时间',
                id: 'approveStartDate',
                component: 'el-bus-date-range',
                commonFormat: true,
                commonFormatProps: ['approveStartDate', 'approveEndDate'],
                customClass: 'in-bus-form',
              },
              {
                label: '变动类型',
                id: 'type',
                type: 'bus-select-dict',
                el: {
                  code: 'BILL_CHANGE_TYPE',
                  clearable: true,
                  style: 'width:100%',
                },
              },
              {label: '订单号:', id: 'orderNo', type: 'input'},

            ],
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '供应商财务',
    }
  },
}

</script>



